Bug 1676036 - squashfs-tools: FTBFS in Fedora rawhide/f30
Summary: squashfs-tools: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: squashfs-tools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bruno Wolff III
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 22:03 UTC by Fedora Release Engineering
Modified: 2019-05-23 17:48 UTC (History)
4 users (show)

Fixed In Version: squashfs-tools-4.3-20.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-23 17:48:47 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 22:03 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 22:03 UTC, Fedora Release Engineering
no flags Details
state.log (645 bytes, text/plain)
2019-02-11 22:03 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 22:03:33 UTC
squashfs-tools failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32499963


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix squashfs-tools at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
squashfs-tools will be orphaned. Before branching of Fedora 31,
squashfs-tools will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 22:03:35 UTC
Created attachment 1533070 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 22:03:36 UTC
Created attachment 1533071 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 22:03:37 UTC
Created attachment 1533072 [details]
state.log

Comment 4 Fedora Release Engineering 2019-04-26 23:33:06 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 6 Bruno Wolff III 2019-05-21 06:46:53 UTC
It looks like this is due to a glibc change. There is a pull request with the fix in the new github upstream. I probably don't want to track that for f30 and lower, but the change is a one liner (assuming that is the only thing blocking things).

Comment 7 Fedora Update System 2019-05-21 07:21:56 UTC
squashfs-tools-4.3-19.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c1e73feb7d

Comment 8 Fedora Update System 2019-05-21 08:03:01 UTC
squashfs-tools-4.3-20.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-accdc3a5f3

Comment 9 Scott Talbert 2019-05-21 15:06:56 UTC
(In reply to Bruno Wolff III from comment #6)
> It looks like this is due to a glibc change. There is a pull request with
> the fix in the new github upstream. I probably don't want to track that for
> f30 and lower, but the change is a one liner (assuming that is the only
> thing blocking things).

Any particular reason you didn't just merge my pull request?

Comment 10 Bruno Wolff III 2019-05-21 15:45:19 UTC
Your pull request to Philip's repo? If there is one in Fedora, I missed it. I'm still catching up on stuff. In rawhide I plan to switch to Philip's github tree as the source. If your request there gets included by Philip, then I would get it automatically. If not it wouldn't make sense to pull from there for Fedora. If there is a place to check on pull requests for Fedora packages, I'd be interested in a pointer to documentation for this. I reread some of the maintainer documentation to get caught up on current practices but didn't see that. Are all packages in pagure, even if their upstream source isn't?

Comment 11 Bruno Wolff III 2019-05-21 15:49:06 UTC
Nevermind, I see the link above and it does look like there is a probably pagure instance for each package. Presumably there are docs on that that I missed.

Comment 12 Scott Talbert 2019-05-21 15:49:56 UTC
(In reply to Bruno Wolff III from comment #10)
> Your pull request to Philip's repo? If there is one in Fedora, I missed it.
> I'm still catching up on stuff. In rawhide I plan to switch to Philip's
> github tree as the source. If your request there gets included by Philip,
> then I would get it automatically. If not it wouldn't make sense to pull
> from there for Fedora. If there is a place to check on pull requests for
> Fedora packages, I'd be interested in a pointer to documentation for this. I
> reread some of the maintainer documentation to get caught up on current
> practices but didn't see that. Are all packages in pagure, even if their
> upstream source isn't?

No, my pull request to the Fedora packaging that I provided a link to in Comment #5.  :-)
Every Fedora dist-git repo is in pagure.  You should have gotten an email from Pagure when I submitted the pull request anyway.  You can view the pull requests for any package by going to https://src.fedoraproject.org/rpms/<packagename>.

Comment 13 Bruno Wolff III 2019-05-21 15:54:09 UTC
Thanks. I get a lot of mail and probably didn't realize what it was. For a two line change it didn't take too long to do and I needed to practice using the newer tools. I'd be less happy if I duplicated a lot of work. Thanks.

Comment 14 Bruno Wolff III 2019-05-21 16:02:43 UTC
I closed the PR, but thanks for showing me something new. I would have used it if I realized it was there. I also missed something in that I was expecting to be able to comment on the close action. It looks like I need to find a way to comment before closing. I'm going to see if I can find a way to get a comment added to it now for other people wondering why it wasn't used.

Comment 15 Fedora Update System 2019-05-22 01:44:06 UTC
squashfs-tools-4.3-20.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-accdc3a5f3

Comment 16 Fedora Update System 2019-05-23 17:48:47 UTC
squashfs-tools-4.3-20.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.